<?php

namespace App\Generated\V1_1\Messages\User;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class ToggleTagMessage extends Message
{
    use ValueHelper;

    protected $tagId;
    protected $group;

    /**
     * @return int
     */
    public function getTagId()
    {
        return $this->tagId;
    }

    /**
     * @return int
     */
    public function getGroup()
    {
        return $this->group;
    }

    public function requestRules()
    {
        return [
            ['tagId', 'tag_id', 'bail|integer', Constants::INTEGER, null],
            ['group', 'group', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
